Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad.render
Class ShockwaveContentProvider

    java.lang.Object
      |
      +--com.bea.p13n.ad.render.ShockwaveContentProvider

public class ShockwaveContentProvider
extends java.lang.Object
implements AdContentProvider

A class that provides XHTML rendering for shockwave content.

This will respond to the following AdContentProvider properties (specified in the configuration):

- ShowDocURI: The web-application scoped URI of the ShowDocServlet (defaults to "ShowDoc").
- obj.classid: Specifies the classid on the <object> tag. Defaults to `clsid:D27CDB6E-AE6D-11cf-96B8-444553540000`.
- obj.codebase: Specifies the codebase on the <object> tag. Defaults to `http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0`.
- embed.pluginspage: Specifies the pluginspage on the <embed> tag. Defaults to `http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash`.

Constructor Summary
`ShockwaveContentProvider()`

Method Summary
`static java.lang.String` | `cnvrtSC(java.lang.String s)` Convert special characters.
`protected java.lang.String` | `createParam(java.lang.String name, java.lang.String value)` Create a tag with the specified name and value.
`java.lang.String` | `renderContent(Content c, long identifier, java.lang.String servletBase, int height, int width, int options)` Return the XHTML content for the specified content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShockwaveContentProvider

    public ShockwaveContentProvider()

Method Detail

### renderContent

    public java.lang.String renderContent(Content c,
                                          long identifier,
                                          java.lang.String servletBase,
                                          int height,
                                          int width,
                                          int options)
                                   throws AdContentException

  Return the XHTML content for the specified content.
  Specified by:
    renderContent in interface AdContentProvider

  Parameters:
    `content` - The content element to render
    `identifier` - A long that is used to access the database record
    `servletBase` - The Web App root for the click thru servlet
    `height` - The suggested height
    `width` - The suggested width
    `option` - The options for the rendering

### createParam

    protected java.lang.String createParam(java.lang.String name,
                                           java.lang.String value)

  Create a tag with the specified name and value.

  Parameters:
    `name` - the name attribute
    `value` - the value attribute

### cnvrtSC

    public static final java.lang.String cnvrtSC(java.lang.String s)

  Convert special characters.

  See Also:
    `ContentHelper.toHTML(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved